View Issue Details

IDProjectCategoryView StatusLast Update
0031680FPCFCLpublic2017-04-23 12:47
ReporterAndrey ZubarevAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0031680: fcl-passrc error with procedural type vars
Descriptionprogram Project1;
{$MODE DELPHI}

type
  tpprog=function:integer;

procedure dosomething;
begin
  writeln('hi');
end;

var
 pprog:tpprog;

begin
  pprog:=@dosomething;
  @pprog:=nil;
end.

Parser error: "Syntax error at token "@" in file E:\zcad\other\pudgb\passrcerrors.pas at line 17 column 3" line:17 column:3 file:E:\zcad\other\pudgb\passrcerrors.pas
TagsNo tags attached.
Fixed in Revision35897
FPCOldBugId
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2017-04-22 13:49

administrator   ~0099769

Fixed, thanks for reporting!

Andrey Zubarev

2017-04-23 12:47

reporter   ~0099808

Thanks!

Issue History

Date Modified Username Field Change
2017-04-18 23:06 Andrey Zubarev New Issue
2017-04-19 00:15 Michael Van Canneyt Assigned To => Michael Van Canneyt
2017-04-19 00:15 Michael Van Canneyt Status new => assigned
2017-04-22 13:49 Michael Van Canneyt Fixed in Revision => 35897
2017-04-22 13:49 Michael Van Canneyt Note Added: 0099769
2017-04-22 13:49 Michael Van Canneyt Status assigned => resolved
2017-04-22 13:49 Michael Van Canneyt Fixed in Version => 3.1.1
2017-04-22 13:49 Michael Van Canneyt Resolution open => fixed
2017-04-22 13:49 Michael Van Canneyt Target Version => 3.2.0
2017-04-23 12:47 Andrey Zubarev Note Added: 0099808
2017-04-23 12:47 Andrey Zubarev Status resolved => closed